Compact a conversation
curl --request POST \
--url https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/compactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": {
"providerId": "<string>",
"modelId": "<string>"
}
}
'import requests
url = "https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/compactions"
payload = { "model": {
"providerId": "<string>",
"modelId": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: {providerId: '<string>', modelId: '<string>'}})
};
fetch('https://dust.tt/api/w/{wId}/assistant/conversations/{cId}/compactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"compactionMessage": {
"type": "compaction_message",
"sId": "<string>",
"created": 123,
"version": 123,
"rank": 123,
"id": 123,
"compactionMessageId": 123,
"branchId": "<string>",
"sourceConversationId": "<string>",
"content": "<string>"
}
}Private Conversations
Compact a conversation
Trigger compaction of a conversation, summarizing older messages into a compaction message. Requires a model to use for summary generation.
POST
/
api
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
/
compactions
Compact a conversation
Authorizations
Your DUST API key is a Bearer token.
Body
application/json
Show child attributes
Show child attributes
Response
Compaction started
A compaction message summarizing earlier conversation content.
Show child attributes
Show child attributes
⌘I